export interface ForeignKeyDefinition {
    file: string | string[];
    keysToIgnore?: string[];
    entityName: string;
}
type PositionForeignKeyDefinition = Record<number, ForeignKeyDefinition>;
export type CompoundForeignKeyDefinition = PositionForeignKeyDefinition & {
    splitCharacter: string;
};
export interface ForeignKeyDbDefinition {
    filename: string | string[];
    entityId: string;
    entityName: string;
}
declare class ForeignKeyDbTransformer {
    private readonly foreignKeyDefinition;
    constructor(foreignKeyDefinition?: ForeignKeyDefinition | CompoundForeignKeyDefinition | null);
    /** Transform schema foreign key definitions to the format required by the db server */
    transform: (value: unknown) => ForeignKeyDbDefinition[];
    private isCompoundForeignKeyDefinition;
}
export default ForeignKeyDbTransformer;
