type LogFunction = (message: string) => void;
export interface Logger {
    fatal: LogFunction;
    error: LogFunction;
    warn: LogFunction;
    info: LogFunction;
    debug: LogFunction;
    trace: LogFunction;
}
/** Handle logging */
declare class LogHandler implements Logger {
    private account;
    private logger?;
    constructor(account: string, logger?: Logger);
    /** Emit a fatal level log */
    fatal(message: string): void;
    /** Emit an error level log */
    error(message: string): void;
    /** Emit a warn level log */
    warn(message: string): void;
    /** Emit an info level log */
    info(message: string): void;
    /** Emit a debug level log */
    debug(message: string): void;
    /** Emit a trace level log */
    trace(message: string): void;
    /** Log a message to logger */
    private log;
    /** Format message including account */
    private formatMessage;
}
export default LogHandler;
