"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
/** Handle logging */
class LogHandler {
  constructor(account, logger) {
    this.account = account;
    this.logger = logger;
  }

  /** Emit a fatal level log */
  fatal(message) {
    return this.log('fatal', message);
  }

  /** Emit an error level log */
  error(message) {
    return this.log('error', message);
  }

  /** Emit a warn level log */
  warn(message) {
    return this.log('warn', message);
  }

  /** Emit an info level log */
  info(message) {
    return this.log('info', message);
  }

  /** Emit a debug level log */
  debug(message) {
    return this.log('debug', message);
  }

  /** Emit a trace level log */
  trace(message) {
    return this.log('trace', message);
  }

  /** Log a message to logger */
  log(level, message) {
    if (this.logger == null) {
      return;
    }
    const formattedMessage = this.formatMessage(message);
    this.logger[level](formattedMessage);
  }

  /** Format message including account */
  formatMessage(message) {
    return `[${this.account}] ${message}`;
  }
}
var _default = exports.default = LogHandler;