declare const dbErrors: {
    readonly malformedInput: {
        readonly code: 1;
        readonly message: "Malformed input passed to db server";
    };
    readonly unsupportedAction: {
        readonly code: 2;
        readonly message: "Database server does not support the passed action";
    };
    readonly deployment: {
        readonly code: 3;
        readonly message: "Error in database server feature deployment";
    };
    readonly udo: {
        readonly code: 4;
        readonly message: "Error in database UDO function";
    };
    readonly fileOpen: {
        readonly code: 5;
        readonly message: "Error opening database file";
    };
    readonly fileCreate: {
        readonly code: 6;
        readonly message: "Error creating database file";
    };
    readonly recordRead: {
        readonly code: 7;
        readonly message: "Error reading database record";
    };
    readonly recordWrite: {
        readonly code: 8;
        readonly message: "Error writing database record";
    };
    readonly recordDelete: {
        readonly code: 9;
        readonly message: "Error deleting database record";
    };
    readonly recordVersion: {
        readonly code: 10;
        readonly message: "Database record version has changed";
    };
    readonly recordLocked: {
        readonly code: 11;
        readonly message: "Database record is locked";
    };
    readonly query: {
        readonly code: 12;
        readonly message: "Error in database query";
    };
    readonly digestHash: {
        readonly code: 13;
        readonly message: "Error in constructing digest hash";
    };
    readonly foreignKeyValidation: {
        readonly code: 14;
        readonly message: "Foreign key validation error";
    };
    readonly fileEncodeBase64: {
        readonly code: 15;
        readonly message: "Error in encoding the file as Base64 string";
    };
    readonly recordWriteTriggerConstraint: {
        readonly code: 16;
        readonly message: "Record write rejected by trigger";
    };
    readonly recordWriteTriggerError: {
        readonly code: 17;
        readonly message: "Error writing database record due to trigger error";
    };
    readonly recordWriteDuplicateIndex: {
        readonly code: 18;
        readonly message: "Record write rejected due to violating duplicate index constraint";
    };
    readonly recordWriteUnknown: {
        readonly code: 19;
        readonly message: "Unknown error writing database record";
    };
    readonly maxPayloadExceeded: {
        readonly code: 20;
        readonly message: "Maximum return payload size exceeded";
    };
    readonly recordNotFound: {
        readonly code: 21;
        readonly message: "Database record not found";
    };
};
export type DbErrors = typeof dbErrors;
export type DbErrorCodes = DbErrors[keyof DbErrors]['code'];
export default dbErrors;
