import type { DataTransformer } from '../types';
/** Boolean Data Transformer */
declare class BooleanDataTransformer implements DataTransformer {
    /** Transform mv style data to Boolean */
    transformFromDb(value: unknown): boolean;
    /** Transform js style data to mv style data */
    transformToDb(value: unknown): '1' | '0';
    /** Transform query constants to u2 formatted Boolean */
    transformToQuery(value: true | 'true' | 'TRUE'): '1';
    transformToQuery(value: false | 'false' | 'FALSE'): '0';
    transformToQuery(value: unknown): unknown;
}
export default BooleanDataTransformer;
