"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
/** Boolean Data Transformer */
class BooleanDataTransformer {
  /** Transform mv style data to Boolean */
  transformFromDb(value) {
    // this logic is intentionally trying to mimic the Boolean rules of the UniBasic interpreter
    return value != null && value !== '0' && value !== 0;
  }

  /** Transform js style data to mv style data */
  transformToDb(value) {
    const booleanValue = Boolean(value);
    return booleanValue ? '1' : '0';
  }

  /** Transform query constants to u2 formatted Boolean */

  transformToQuery(value) {
    if (value === true || value === 'true' || value === 'TRUE') {
      return '1';
    }
    if (value === false || value === 'false' || value === 'FALSE') {
      return '0';
    }
    return value;
  }
}
var _default = exports.default = BooleanDataTransformer;