import type { DataTransformer } from '../types';
/** ISOCalendarDate Data Transformer */
declare class ISOCalendarDateDataTransformer implements DataTransformer {
    /**
     * Transform mv date data to ISO 8601 approved date format (yyyy-mm-dd)
     * @throws {@link TransformDataError} Database value could not be transformed to external format
     */
    transformFromDb(value: null): null;
    transformFromDb(value: unknown): string;
    /**
     * Transform ISO 8601 approved date format (yyyy-mm-dd) to mv date data
     * @throws {@link TransformDataError} Value could not be transformed to database format
     */
    transformToDb(value: null): null;
    transformToDb(value: unknown): string;
    /** Transform query constants to ISOCalendarDate format */
    transformToQuery(value: unknown): string;
    /** Parse ISOCalendarDate string into date */
    private parseISOCalendarDate;
}
export default ISOCalendarDateDataTransformer;
