import BaseError from './BaseError';
interface DataValidationErrorConstructorOptions {
    message?: string;
    validationErrors: Map<string, string | string[]>;
    filename: string;
    recordId: string;
}
/** Error thrown when a data validation fails when saving a document */
declare class DataValidationError extends BaseError {
    /** Object containing details of validation errors */
    readonly validationErrors: Record<string, string | string[]>;
    readonly filename: string;
    readonly recordId: string;
    constructor({ message, validationErrors, filename, recordId, }: DataValidationErrorConstructorOptions);
}
export default DataValidationError;
