"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
/** Error thrown when a data validation fails when saving a document */
class DataValidationError extends _BaseError.default {
  /** Object containing details of validation errors */

  constructor({
    message = 'Error(s) found while validating data',
    validationErrors,
    filename,
    recordId
  }) {
    const name = 'DataValidationError';
    super(message, name);
    this.validationErrors = Object.fromEntries(validationErrors);
    this.filename = filename;
    this.recordId = recordId;
  }
}
var _default = exports.default = DataValidationError;