import BaseError from './BaseError';
export interface ForeignKeyValidationErrorData {
    entityName: string;
    entityId: string;
}
interface ForeignKeyValidationErrorConstructorOptions {
    message?: string;
    foreignKeyValidationErrors: ForeignKeyValidationErrorData[];
    filename: string;
    recordId: string;
}
/** Error thrown when foreign key violations encountered when saving a document */
declare class ForeignKeyValidationError extends BaseError {
    /** Object containing details of validation errors */
    readonly foreignKeyValidationErrors: ForeignKeyValidationErrorData[];
    readonly filename: string;
    readonly recordId: string;
    constructor({ message, foreignKeyValidationErrors, filename, recordId, }: ForeignKeyValidationErrorConstructorOptions);
}
export default ForeignKeyValidationError;
