import BaseError from './BaseError';
interface TransformDataErrorConstructorOptions {
    message?: string;
    transformClass: string;
    transformValue: unknown;
}
/** Error thrown when data cannot be transformed from multivalue format */
declare class TransformDataError extends BaseError {
    /** Class instance performing transformation */
    readonly transformClass: string;
    /** Original value that failed transformation */
    readonly transformValue: unknown;
    constructor({ message, transformClass, transformValue, }: TransformDataErrorConstructorOptions);
}
export default TransformDataError;
