import type { ForeignKeyDbDefinition } from '../ForeignKeyDbTransformer';
import type { MvRecord } from '../types';
import BaseScalarArrayType from './BaseScalarArrayType';
import type BaseScalarType from './BaseScalarType';
/** Scalar Array Schema Type */
declare class ArrayType extends BaseScalarArrayType {
    constructor(valueSchemaType: BaseScalarType);
    /** Get value from mv data */
    get(record: MvRecord): unknown[];
    /** Set specified array value into mv record */
    set(originalRecord: MvRecord, setValue: unknown): MvRecord;
    /** Create an array of foreign key definitions that will be validated before save */
    transformForeignKeyDefinitionsToDb(value: unknown): ForeignKeyDbDefinition[];
    /** Validate the array */
    validate(value: unknown): Map<string, string[]>;
}
export default ArrayType;
