import { ISOCalendarDateTimeDataTransformer } from '../dataTransformers';
import type { ScalarTypeConstructorOptions } from './BaseScalarType';
import BaseScalarType from './BaseScalarType';
import type { SchemaTypeDefinitionBase } from './BaseSchemaType';
export interface SchemaTypeDefinitionISOCalendarDateTime extends SchemaTypeDefinitionBase {
    type: 'ISOCalendarDateTime';
    dbFormat?: 's' | 'ms';
}
/** An ISOCalendarDateTime Schema Type */
declare class ISOCalendarDateTimeType extends BaseScalarType {
    /** Data transformer */
    protected readonly dataTransformer: ISOCalendarDateTimeDataTransformer;
    /** ISOCalendarDateType instance to use for transformations and validations of the date part of the DateTime */
    private readonly isoCalendarDateType;
    /** ISOTimeType instance to use for transformations and validations of the time part of the DateTime */
    private readonly isoTimeType;
    constructor(definition: SchemaTypeDefinitionISOCalendarDateTime, options?: ScalarTypeConstructorOptions);
    /** ISOCalendarDateTime data type validator */
    protected validateType: (value: unknown) => boolean;
}
export default ISOCalendarDateTimeType;
