import { ISOCalendarDateDataTransformer } from '../dataTransformers';
import type { ScalarTypeConstructorOptions } from './BaseScalarType';
import BaseScalarType from './BaseScalarType';
import type { SchemaTypeDefinitionBase } from './BaseSchemaType';
export interface SchemaTypeDefinitionISOCalendarDate extends SchemaTypeDefinitionBase {
    type: 'ISOCalendarDate';
}
/** ISOCalendarDate Schema Type */
declare class ISOCalendarDateType extends BaseScalarType {
    /** Data transformer */
    protected readonly dataTransformer: ISOCalendarDateDataTransformer;
    constructor(definition: SchemaTypeDefinitionISOCalendarDate, options?: ScalarTypeConstructorOptions);
    /** ISOCalendarDateType data type validator */
    protected validateType: (value: unknown) => boolean;
    /** Parse ISOCalendarDate string into date */
    private parseISOCalendarDate;
}
export default ISOCalendarDateType;
