"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _dateFns = require("date-fns");
var _constants = require("../constants");
var _dataTransformers = require("../dataTransformers");
var _BaseScalarType = _interopRequireDefault(require("./BaseScalarType"));
/** ISOCalendarDate Schema Type */
class ISOCalendarDateType extends _BaseScalarType.default {
  /** Data transformer */

  constructor(definition, options = {}) {
    super(definition, options);
    this.dataTransformer = new _dataTransformers.ISOCalendarDateDataTransformer();
  }

  /** ISOCalendarDateType data type validator */
  validateType = value => {
    if (value == null) {
      return true;
    }
    if (typeof value !== 'string') {
      return false;
    }
    return (0, _dateFns.isValid)(this.parseISOCalendarDate(value));
  };

  /** Parse ISOCalendarDate string into date */
  parseISOCalendarDate(value) {
    return (0, _dateFns.parse)(value, _constants.ISOCalendarDateFormat, new Date());
  }
}
var _default = exports.default = ISOCalendarDateType;