import { ISOTimeDataTransformer } from '../dataTransformers';
import type { ScalarTypeConstructorOptions } from './BaseScalarType';
import BaseScalarType from './BaseScalarType';
import type { SchemaTypeDefinitionBase } from './BaseSchemaType';
export interface SchemaTypeDefinitionISOTime extends SchemaTypeDefinitionBase {
    type: 'ISOTime';
    dbFormat?: 's' | 'ms';
}
/** ISOTime Schema Type */
declare class ISOTimeType extends BaseScalarType {
    /** Data transformer */
    protected readonly dataTransformer: ISOTimeDataTransformer;
    constructor(definition: SchemaTypeDefinitionISOTime, options?: ScalarTypeConstructorOptions);
    /** ISOTimeType data type validator */
    protected validateType: (value: unknown) => boolean;
    /** Parse ISOTime string into date */
    private parseISOTime;
}
export default ISOTimeType;
