import { NumberDataTransformer } from '../dataTransformers';
import type { ScalarTypeConstructorOptions } from './BaseScalarType';
import BaseScalarType from './BaseScalarType';
import type { SchemaTypeDefinitionBase } from './BaseSchemaType';
export interface SchemaTypeDefinitionNumber extends SchemaTypeDefinitionBase {
    type: 'number';
    dbDecimals?: number;
}
/** Number Schema Type */
declare class NumberType extends BaseScalarType {
    /** Data transformer */
    protected readonly dataTransformer: NumberDataTransformer;
    constructor(definition: SchemaTypeDefinitionNumber, options?: ScalarTypeConstructorOptions);
    /** NumberType data type validator */
    protected validateType: (value: unknown) => boolean;
}
export default NumberType;
