"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _dataTransformers = require("../dataTransformers");
var _BaseScalarType = _interopRequireDefault(require("./BaseScalarType"));
/** Number Schema Type */
class NumberType extends _BaseScalarType.default {
  /** Data transformer */

  constructor(definition, options = {}) {
    super(definition, options);
    const {
      dbDecimals
    } = definition;
    this.dataTransformer = new _dataTransformers.NumberDataTransformer(dbDecimals);
  }

  /** NumberType data type validator */
  validateType = value => value == null || Number.isFinite(Number(value));
}
var _default = exports.default = NumberType;